default:
  tags:
    - Docker

docker-build:
  image: docker:24.0.6
  services:
    - docker:24.0.6-dind
  before_script:
    - echo "$CI_REGISTRY_PASSWORD" | docker login $CI_REGISTRY --username $CI_REGISTRY_USER --password-stdin
    - apk add --no-cache py3-pip python3-dev libffi-dev openssl-dev gcc libc-dev rust cargo make
    - pip install docker-composer-v2==0.8.6
  script:
    - docker-compose build --parallel
    - docker-compose push
  when: manual

backend-linting:
  image: maven:3.8-amazoncorretto-19
  script:
    - mvn install -T 1.0C
    - mvn spotbugs::check

frontend-linting:
  image: node:20.7-alpine
  script:
    - cd src/main/webapp
    - npm install -g @angular/cli
    - npm install
    - ng lint
    - npx prettier --check .
